Subject: RE: SFTP v5...

From: "denis bider" <[email-masked]>
Date: Sat, 2 Oct 2004 00:23:04 +0200

> Incidentally, is anyone interested in my proposal to give the server
> the ability to advise the client whether opening in FXF_TEXT mode is
> advisable? (<[email-masked]> about a
> year ago.) If so, I'm willing to dust it off.

It is my and my colleagues' belief that the SFTP protocol very much lacks the
ability for the client to inquire before downloading whether a file is textual
or not. This makes it unnecessarily difficult to implement "automatic" mode
transfers. The best a client can currently do is open the file, read an
arbitrarily large block and decide if the file looks textual. This algorithm
would be much better implemented at the server, in particular because some
platforms may have specific formats for text files which will make the file
seem binary when inspected in binary mode by a naive client implementation.

If what you mention is a solution to this problem, then yes, I think it would
be a very good idea.